import React from "react";

import style from "./Footer.module.css";

// @ts-ignore
import pck from "../../../package.json";

function Footer() {
  return (
    <footer className={`${style.footer} hide-print`} data-testid="footer">
      <hr />
      <nav>
        <div>
          <span>
            <a href="#">Back to top</a>
          </span>
          {", "}
          <span>
            <a href="/static/pgp.txt">PGP key</a>
          </span>
          {", "}
          <span>
            <a
              href="https://git.aaronjy.me/aaron/aaronjy-me"
              target="_blank"
              rel="nofollow noopener noreferrer"
            >
              View site src
            </a>
          </span>
        </div>

        <div>
          <small>
            2025 Aaron Yarborough,{" "}
            <span title="major.minior.patch.content">v{pck.version}</span>
          </small>
        </div>
      </nav>
    </footer>
  );
}

export default Footer;
